scala.xml.parsing

# FactoryAdapter

#### abstract class FactoryAdapter extends DefaultHandler with XMLLoader[Node]

SAX adapter class, for use with Java SAX parser. Keeps track of namespace bindings, without relying on namespace handling of the underlying SAX parser.

Source
  FactoryAdapter.scala

Linear Supertypes
XMLLoader[Node], DefaultHandler, ErrorHandler, ContentHandler, DTDHandler, EntityResolver, AnyRef, Any
Known Subclasses
NoBindingFactoryAdapter
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. FactoryAdapter
2. XMLLoader
3. DefaultHandler
4. ErrorHandler
5. ContentHandler
6. DTDHandler
7. EntityResolver
8. AnyRef
9. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FactoryAdapter()

### Abstract Value Members

1. #### abstract def createNode(pre: String, elemName: String, attribs: MetaData, scope: NamespaceBinding, chIter: List[Node]): Node

   creates an new non-text(tree) node.

   creates an new non-text(tree) node.

   elemName
   attribs
   chIter
   returns

     a new XML element.

2. #### abstract def createProcInstr(target: String, data: String): Seq[ProcInstr]

   creates a new processing instruction node.

3. #### abstract def createText(text: String): Text

   creates a Text node.

   creates a Text node.

   text
   returns

     a new Text node.

4. #### abstract def nodeContainsText(localName: String): Boolean

   Tests if an XML element contains text.

   Tests if an XML element contains text.

   returns

     true if element named `localName` contains text.

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def adapter: FactoryAdapter

   Definition Classes
     XMLLoader

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### val attribStack: Stack[MetaData]

9. #### val buffer: StringBuilder

10. #### var capture: Boolean

11. #### def captureText(): Unit

    captures text, possibly normalizing whitespace

12. #### def characters(ch: Array[Char], offset: Int, length: Int): Unit

    Characters.

    Characters.

    ch
    offset
    length

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

13. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

14. #### var curTag: String

15. #### def endDocument(): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

16. #### def endElement(uri: String, _localName: String, qname: String): Unit

    End element.

    End element.

    uri
    qname
    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler
    Exceptions thrown
      org.xml.sax.SAXException

      if ..

17. #### def endPrefixMapping(arg0: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

20. #### def error(arg0: SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws()

21. #### def fatalError(arg0: SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws()

22. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

23. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### val hStack: Stack[Node]

25. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

26. #### def ignorableWhitespace(arg0: Array[Char], arg1: Int, arg2: Int): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

27. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

28. #### def load(url: URL): Node

    Definition Classes
      XMLLoader

29. #### def load(source: InputSource): Node

    Definition Classes
      XMLLoader

30. #### def load(sysID: String): Node

    Definition Classes
      XMLLoader

31. #### def load(reader: Reader): Node

    Definition Classes
      XMLLoader

32. #### def load(is: InputStream): Node

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    Definition Classes
      XMLLoader

33. #### def loadFile(name: String): Node

    Definition Classes
      XMLLoader

34. #### def loadFile(fd: FileDescriptor): Node

    Definition Classes
      XMLLoader

35. #### def loadFile(file: File): Node

    Loads XML from the given file, file descriptor, or filename.

    Loads XML from the given file, file descriptor, or filename.

    Definition Classes
      XMLLoader

36. #### def loadString(string: String): Node

    Loads XML from the given String.

    Loads XML from the given String.

    Definition Classes
      XMLLoader

37. #### def loadXML(source: InputSource, parser: SAXParser): Node

    Loads XML from the given InputSource, using the supplied parser.

    Loads XML from the given InputSource, using the supplied parser. The methods available in scala.xml.XML use the XML parser in the JDK.

    Definition Classes
      XMLLoader

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### val normalizeWhitespace: Boolean

40. #### def notationDecl(arg0: String, arg1: String, arg2: String): Unit

    Definition Classes
      DefaultHandler → DTDHandler
    Annotations
      @throws()

41. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### def parser: SAXParser

    Definition Classes
      XMLLoader

44. #### def processingInstruction(target: String, data: String): Unit

    Processing instruction.

    Processing instruction.

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

45. #### def resolveEntity(arg0: String, arg1: String): InputSource

    Definition Classes
      DefaultHandler → EntityResolver
    Annotations
      @throws() @throws()

46. #### var rootElem: Node

47. #### var scopeStack: Stack[NamespaceBinding]

48. #### def setDocumentLocator(arg0: Locator): Unit

    Definition Classes
      DefaultHandler → ContentHandler

49. #### def skippedEntity(arg0: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

50. #### def startDocument(): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

51. #### def startElement(uri: String, _localName: String, qname: String, attributes: Attributes): Unit

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

52. #### def startPrefixMapping(arg0: String, arg1: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

53. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

54. #### val tagStack: Stack[String]

55. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

56. #### def unparsedEntityDecl(arg0: String, arg1: String, arg2: String, arg3: String): Unit

    Definition Classes
      DefaultHandler → DTDHandler
    Annotations
      @throws()

57. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

58. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

59. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

60. #### def warning(arg0: SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws()

### Inherited from XMLLoader[Node]

### Inherited from DefaultHandler

### Inherited from ErrorHandler

### Inherited from ContentHandler

### Inherited from DTDHandler

### Inherited from EntityResolver

### Inherited from AnyRef

### Inherited from Any